using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class ProtonBulletSmall : Bullet
{
    public const int Width = 6;
    public const int Height = 6;

    protected override string TextureName => TextureNames.Bullets.ProtonSmall;

    public ProtonBulletSmall(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 1;
    }
}